﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Syncfusion.XForms.DataForm;
using Syncfusion.XForms.DataForm.Editors;
using Xamarin.Forms;

namespace DataForm
{
    public class DataFormBehavior : Behavior<ContentPage>
    {
        SfDataForm dataForm;
        Button button;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            dataForm = bindable.FindByName<SfDataForm>("dataForm");
            dataForm.ValidationMode = ValidationMode.LostFocus;
            dataForm.CommitMode = CommitMode.LostFocus;

            button = bindable.FindByName<Button>("button");
            button.IsEnabled = false;
            dataForm.Validated += DataForm_Validated;
        }

        private void DataForm_Validated(object sender, ValidatedEventArgs e)
        {
          button.IsEnabled = (sender as SfDataForm).ItemManager.DataFormItems.TrueForAll(x => (x as DataFormItem).IsValid);
        }
    }
}
